<template>
  <b-col l="4">
    <b-card
      :title="data.title"
      img-src="https://icon-library.com/images/movie-film-icon/movie-film-icon-10.jpg"
      img-alt="Image"
      img-top
      tag="article"
      style="max-width: 20rem;"
      class="mb-2"
    >
      <b-card-text class="text-truncate">
        {{ data.description }}
      </b-card-text>
      <b-button :to="`/films/${data.id}`" href="" variant="primary">Learn more</b-button>
    </b-card>
  </b-col>
</template>

<script>
export default {
  props: {
    data: {
      required: true,
      type: Object,
    }
  }
}
</script>

<style>

</style>